<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="DAL" targetNamespace="http://tempuri.org/DAL.xsd" xmlns:mstns="http://tempuri.org/DAL.xsd" xmlns="http://tempuri.org/DAL.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="1" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="MySettings" AppSettingsPropertyName="CharterDotComConnectionString" ConnectionStringObject="" IsAppSettingsProperty="True" Modifier="Assembly" Name="CharterDotComConnectionString (MySettings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.SupportProvider.MySettings.GlobalReference.Default.CharterDotComConnectionString" Provider="System.Data.SqlClient">
          </Connection>
          <Connection AppSettingsObjectName="MySettings" AppSettingsPropertyName="CharterDotComConnectionString1" ConnectionStringObject="" IsAppSettingsProperty="True" Modifier="Assembly" Name="CharterDotComConnectionString1 (MySettings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.SupportProvider.MySettings.GlobalReference.Default.CharterDotComConnectionString1" Provider="System.Data.SqlClient">
          </Connection>
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="HTMLDocumentTableAdapter" GeneratorDataComponentClassName="HTMLDocumentTableAdapter" Name="HTMLDocument" UserDataComponentName="HTMLDocumentTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="CharterDotComConnectionString1 (MySettings)" DbObjectName="[CharterDotCom ].Support.HTMLDocument" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="True" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="True" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>DELETE FROM [Support].[HTMLDocument] WHERE (([HTMLDocumentID] = @Original_HTMLDocumentID) AND ([DocumentFolderID] = @Original_DocumentFolderID) AND ([Title] = @Original_Title) AND ([Summary] = @Original_Summary) AND ((@IsNull_BinaryDocumentMimeType = 1 AND [BinaryDocumentMimeType] IS NULL) OR ([BinaryDocumentMimeType] = @Original_BinaryDocumentMimeType)) AND ((@IsNull_MimeType = 1 AND [MimeType] IS NULL) OR ([MimeType] = @Original_MimeType)) AND ([Deleted] = @Original_Deleted) AND ((@IsNull_SearchType = 1 AND [SearchType] IS NULL) OR ([SearchType] = @Original_SearchType)) AND ((@IsNull_CreateDate = 1 AND [CreateDate] IS NULL) OR ([CreateDate] = @Original_CreateDate)) AND ((@IsNull_CreatedBy = 1 AND [CreatedBy] IS NULL) OR ([CreatedBy] = @Original_CreatedBy)) AND ((@IsNull_UpdatedBy = 1 AND [UpdatedBy] IS NULL) OR ([UpdatedBy] = @Original_UpdatedBy)) AND ((@IsNull_DeletedBy = 1 AND [DeletedBy] IS NULL) OR ([DeletedBy] = @Original_DeletedBy)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_HTMLDocumentID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="HTMLDocumentID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_DocumentFolderID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DocumentFolderID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Title" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Title" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Summary" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Summary" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_BinaryDocumentMimeType" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="BinaryDocumentMimeType" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_BinaryDocumentMimeType" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="BinaryDocumentMimeType" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MimeType" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MimeType" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_MimeType" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MimeType" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_Deleted" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="Deleted" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_SearchType" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SearchType" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_SearchType" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SearchType" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CreateDate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_CreateDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CreatedBy" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CreatedBy" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_CreatedBy" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CreatedBy" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_UpdatedBy" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="UpdatedBy" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_UpdatedBy" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="UpdatedBy" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_DeletedBy" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DeletedBy" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_DeletedBy" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DeletedBy" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>INSERT INTO [Support].[HTMLDocument] ([DocumentFolderID], [Title], [Summary], [HTML], [BinaryDocument], [BinaryDocumentMimeType], [MimeType], [Deleted], [Keywords], [SearchType], [CreateDate], [CreatedBy], [UpdatedBy], [DeletedBy]) VALUES (@DocumentFolderID, @Title, @Summary, @HTML, @BinaryDocument, @BinaryDocumentMimeType, @MimeType, @Deleted, @Keywords, @SearchType, @CreateDate, @CreatedBy, @UpdatedBy, @DeletedBy);
SELECT HTMLDocumentID, DocumentFolderID, Title, Summary, HTML, BinaryDocument, BinaryDocumentMimeType, MimeType, Deleted, Keywords, SearchType, CreateDate, CreatedBy, UpdatedBy, DeletedBy FROM Support.HTMLDocument WHERE (HTMLDocumentID = SCOPE_IDENTITY())</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@DocumentFolderID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DocumentFolderID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Title" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Title" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Summary" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Summary" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@HTML" Precision="0" ProviderType="Text" Scale="0" Size="0" SourceColumn="HTML" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Binary" Direction="Input" ParameterName="@BinaryDocument" Precision="0" ProviderType="VarBinary" Scale="0" Size="0" SourceColumn="BinaryDocument" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@BinaryDocumentMimeType" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="BinaryDocumentMimeType" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@MimeType" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MimeType" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Deleted" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="Deleted" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Keywords" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Keywords" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@SearchType" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SearchType" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@CreateDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@CreatedBy" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CreatedBy" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@UpdatedBy" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="UpdatedBy" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@DeletedBy" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DeletedBy" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>SELECT HTMLDocumentID, DocumentFolderID, Title, Summary, HTML, BinaryDocument, BinaryDocumentMimeType, MimeType, Deleted, Keywords, SearchType, CreateDate, CreatedBy, UpdatedBy, DeletedBy FROM Support.HTMLDocument</CommandText>
                    <Parameters>
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>UPDATE [Support].[HTMLDocument] SET [DocumentFolderID] = @DocumentFolderID, [Title] = @Title, [Summary] = @Summary, [HTML] = @HTML, [BinaryDocument] = @BinaryDocument, [BinaryDocumentMimeType] = @BinaryDocumentMimeType, [MimeType] = @MimeType, [Deleted] = @Deleted, [Keywords] = @Keywords, [SearchType] = @SearchType, [CreateDate] = @CreateDate, [CreatedBy] = @CreatedBy, [UpdatedBy] = @UpdatedBy, [DeletedBy] = @DeletedBy WHERE (([HTMLDocumentID] = @Original_HTMLDocumentID) AND ([DocumentFolderID] = @Original_DocumentFolderID) AND ([Title] = @Original_Title) AND ([Summary] = @Original_Summary) AND ((@IsNull_BinaryDocumentMimeType = 1 AND [BinaryDocumentMimeType] IS NULL) OR ([BinaryDocumentMimeType] = @Original_BinaryDocumentMimeType)) AND ((@IsNull_MimeType = 1 AND [MimeType] IS NULL) OR ([MimeType] = @Original_MimeType)) AND ([Deleted] = @Original_Deleted) AND ((@IsNull_SearchType = 1 AND [SearchType] IS NULL) OR ([SearchType] = @Original_SearchType)) AND ((@IsNull_CreateDate = 1 AND [CreateDate] IS NULL) OR ([CreateDate] = @Original_CreateDate)) AND ((@IsNull_CreatedBy = 1 AND [CreatedBy] IS NULL) OR ([CreatedBy] = @Original_CreatedBy)) AND ((@IsNull_UpdatedBy = 1 AND [UpdatedBy] IS NULL) OR ([UpdatedBy] = @Original_UpdatedBy)) AND ((@IsNull_DeletedBy = 1 AND [DeletedBy] IS NULL) OR ([DeletedBy] = @Original_DeletedBy)));
SELECT HTMLDocumentID, DocumentFolderID, Title, Summary, HTML, BinaryDocument, BinaryDocumentMimeType, MimeType, Deleted, Keywords, SearchType, CreateDate, CreatedBy, UpdatedBy, DeletedBy FROM Support.HTMLDocument WHERE (HTMLDocumentID = @HTMLDocumentID)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@DocumentFolderID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DocumentFolderID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Title" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Title" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Summary" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Summary" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@HTML" Precision="0" ProviderType="Text" Scale="0" Size="0" SourceColumn="HTML" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Binary" Direction="Input" ParameterName="@BinaryDocument" Precision="0" ProviderType="VarBinary" Scale="0" Size="0" SourceColumn="BinaryDocument" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@BinaryDocumentMimeType" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="BinaryDocumentMimeType" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@MimeType" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MimeType" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Deleted" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="Deleted" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Keywords" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Keywords" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@SearchType" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SearchType" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@CreateDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@CreatedBy" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CreatedBy" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@UpdatedBy" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="UpdatedBy" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@DeletedBy" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DeletedBy" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_HTMLDocumentID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="HTMLDocumentID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_DocumentFolderID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DocumentFolderID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Title" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Title" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Summary" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Summary" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_BinaryDocumentMimeType" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="BinaryDocumentMimeType" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_BinaryDocumentMimeType" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="BinaryDocumentMimeType" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MimeType" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MimeType" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_MimeType" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MimeType" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_Deleted" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="Deleted" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_SearchType" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SearchType" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_SearchType" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SearchType" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CreateDate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_CreateDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CreatedBy" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CreatedBy" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_CreatedBy" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CreatedBy" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_UpdatedBy" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="UpdatedBy" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_UpdatedBy" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="UpdatedBy" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_DeletedBy" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DeletedBy" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_DeletedBy" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DeletedBy" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="HTMLDocumentID" ColumnName="HTMLDocumentID" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@HTMLDocumentID" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="HTMLDocumentID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="HTMLDocumentID" DataSetColumn="HTMLDocumentID" />
              <Mapping SourceColumn="DocumentFolderID" DataSetColumn="DocumentFolderID" />
              <Mapping SourceColumn="Title" DataSetColumn="Title" />
              <Mapping SourceColumn="Summary" DataSetColumn="Summary" />
              <Mapping SourceColumn="HTML" DataSetColumn="HTML" />
              <Mapping SourceColumn="BinaryDocument" DataSetColumn="BinaryDocument" />
              <Mapping SourceColumn="BinaryDocumentMimeType" DataSetColumn="BinaryDocumentMimeType" />
              <Mapping SourceColumn="MimeType" DataSetColumn="MimeType" />
              <Mapping SourceColumn="Deleted" DataSetColumn="Deleted" />
              <Mapping SourceColumn="Keywords" DataSetColumn="Keywords" />
              <Mapping SourceColumn="SearchType" DataSetColumn="SearchType" />
              <Mapping SourceColumn="CreateDate" DataSetColumn="CreateDate" />
              <Mapping SourceColumn="CreatedBy" DataSetColumn="CreatedBy" />
              <Mapping SourceColumn="UpdatedBy" DataSetColumn="UpdatedBy" />
              <Mapping SourceColumn="DeletedBy" DataSetColumn="DeletedBy" />
            </Mappings>
            <Sources>
            </Sources>
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="DocumentFolderTableAdapter" GeneratorDataComponentClassName="DocumentFolderTableAdapter" Name="DocumentFolder" UserDataComponentName="DocumentFolderTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="CharterDotComConnectionString1 (MySettings)" DbObjectName="[CharterDotCom ].Support.DocumentFolder" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="True" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="True" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>DELETE FROM [Support].[DocumentFolder] WHERE (([DocumentFolderID] = @Original_DocumentFolderID) AND ([ParentFolderID] = @Original_ParentFolderID) AND ([DocumentFolderName] = @Original_DocumentFolderName) AND ((@IsNull_CreateDate = 1 AND [CreateDate] IS NULL) OR ([CreateDate] = @Original_CreateDate)) AND ((@IsNull_Deleted = 1 AND [Deleted] IS NULL) OR ([Deleted] = @Original_Deleted)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_DocumentFolderID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DocumentFolderID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_ParentFolderID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ParentFolderID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_DocumentFolderName" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="DocumentFolderName" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CreateDate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_CreateDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Deleted" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Deleted" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_Deleted" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="Deleted" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>INSERT INTO [Support].[DocumentFolder] ([ParentFolderID], [DocumentFolderName], [CreateDate], [Deleted]) VALUES (@ParentFolderID, @DocumentFolderName, @CreateDate, @Deleted);
SELECT DocumentFolderID, ParentFolderID, DocumentFolderName, CreateDate, Deleted FROM Support.DocumentFolder WHERE (DocumentFolderID = SCOPE_IDENTITY())</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@ParentFolderID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ParentFolderID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@DocumentFolderName" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="DocumentFolderName" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@CreateDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Deleted" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="Deleted" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>SELECT DocumentFolderID, ParentFolderID, DocumentFolderName, CreateDate, Deleted FROM Support.DocumentFolder</CommandText>
                    <Parameters>
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>UPDATE [Support].[DocumentFolder] SET [ParentFolderID] = @ParentFolderID, [DocumentFolderName] = @DocumentFolderName, [CreateDate] = @CreateDate, [Deleted] = @Deleted WHERE (([DocumentFolderID] = @Original_DocumentFolderID) AND ([ParentFolderID] = @Original_ParentFolderID) AND ([DocumentFolderName] = @Original_DocumentFolderName) AND ((@IsNull_CreateDate = 1 AND [CreateDate] IS NULL) OR ([CreateDate] = @Original_CreateDate)) AND ((@IsNull_Deleted = 1 AND [Deleted] IS NULL) OR ([Deleted] = @Original_Deleted)));
SELECT DocumentFolderID, ParentFolderID, DocumentFolderName, CreateDate, Deleted FROM Support.DocumentFolder WHERE (DocumentFolderID = @DocumentFolderID)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@ParentFolderID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ParentFolderID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@DocumentFolderName" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="DocumentFolderName" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@CreateDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Deleted" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="Deleted" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_DocumentFolderID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="DocumentFolderID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_ParentFolderID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ParentFolderID" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_DocumentFolderName" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="DocumentFolderName" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CreateDate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_CreateDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="CreateDate" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Deleted" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Deleted" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_Deleted" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="Deleted" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="False" AutogeneratedName="DocumentFolderID" ColumnName="DocumentFolderID" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@DocumentFolderID" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="DocumentFolderID" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="DocumentFolderID" DataSetColumn="DocumentFolderID" />
              <Mapping SourceColumn="ParentFolderID" DataSetColumn="ParentFolderID" />
              <Mapping SourceColumn="DocumentFolderName" DataSetColumn="DocumentFolderName" />
              <Mapping SourceColumn="CreateDate" DataSetColumn="CreateDate" />
              <Mapping SourceColumn="Deleted" DataSetColumn="Deleted" />
            </Mappings>
            <Sources>
            </Sources>
          </TableAdapter>
        </Tables>
        <Sources>
        </Sources>
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="DAL" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:Generator_UserDSName="DAL" msprop:Generator_DataSetName="DAL">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="HTMLDocument" msprop:Generator_UserTableName="HTMLDocument" msprop:Generator_RowDeletedName="HTMLDocumentRowDeleted" msprop:Generator_TableClassName="HTMLDocumentDataTable" msprop:Generator_RowChangedName="HTMLDocumentRowChanged" msprop:Generator_RowClassName="HTMLDocumentRow" msprop:Generator_RowChangingName="HTMLDocumentRowChanging" msprop:Generator_RowEvArgName="HTMLDocumentRowChangeEvent" msprop:Generator_RowEvHandlerName="HTMLDocumentRowChangeEventHandler" msprop:Generator_TablePropName="HTMLDocument" msprop:Generator_TableVarName="tableHTMLDocument" msprop:Generator_RowDeletingName="HTMLDocumentRowDeleting">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="HTMLDocumentID" msdata:ReadOnly="true" msdata:AutoIncrement="true" msprop:Generator_UserColumnName="HTMLDocumentID" msprop:Generator_ColumnPropNameInRow="HTMLDocumentID" msprop:Generator_ColumnVarNameInTable="columnHTMLDocumentID" msprop:Generator_ColumnPropNameInTable="HTMLDocumentIDColumn" type="xs:int" />
              <xs:element name="DocumentFolderID" msprop:Generator_UserColumnName="DocumentFolderID" msprop:Generator_ColumnPropNameInRow="DocumentFolderID" msprop:Generator_ColumnVarNameInTable="columnDocumentFolderID" msprop:Generator_ColumnPropNameInTable="DocumentFolderIDColumn" type="xs:int" />
              <xs:element name="Title" msprop:Generator_UserColumnName="Title" msprop:Generator_ColumnPropNameInRow="Title" msprop:Generator_ColumnVarNameInTable="columnTitle" msprop:Generator_ColumnPropNameInTable="TitleColumn">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="128" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Summary" msprop:Generator_UserColumnName="Summary" msprop:Generator_ColumnPropNameInRow="Summary" msprop:Generator_ColumnVarNameInTable="columnSummary" msprop:Generator_ColumnPropNameInTable="SummaryColumn">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="256" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="HTML" msprop:Generator_UserColumnName="HTML" msprop:Generator_ColumnPropNameInRow="HTML" msprop:Generator_ColumnVarNameInTable="columnHTML" msprop:Generator_ColumnPropNameInTable="HTMLColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="BinaryDocument" msprop:Generator_UserColumnName="BinaryDocument" msprop:Generator_ColumnPropNameInRow="BinaryDocument" msprop:Generator_ColumnVarNameInTable="columnBinaryDocument" msprop:Generator_ColumnPropNameInTable="BinaryDocumentColumn" type="xs:base64Binary" minOccurs="0" />
              <xs:element name="BinaryDocumentMimeType" msprop:Generator_UserColumnName="BinaryDocumentMimeType" msprop:Generator_ColumnPropNameInRow="BinaryDocumentMimeType" msprop:Generator_ColumnVarNameInTable="columnBinaryDocumentMimeType" msprop:Generator_ColumnPropNameInTable="BinaryDocumentMimeTypeColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="MimeType" msprop:Generator_UserColumnName="MimeType" msprop:Generator_ColumnPropNameInRow="MimeType" msprop:Generator_ColumnVarNameInTable="columnMimeType" msprop:Generator_ColumnPropNameInTable="MimeTypeColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Deleted" msprop:Generator_UserColumnName="Deleted" msprop:Generator_ColumnPropNameInRow="Deleted" msprop:Generator_ColumnVarNameInTable="columnDeleted" msprop:Generator_ColumnPropNameInTable="DeletedColumn" type="xs:boolean" />
              <xs:element name="Keywords" msprop:Generator_UserColumnName="Keywords" msprop:Generator_ColumnPropNameInRow="Keywords" msprop:Generator_ColumnVarNameInTable="columnKeywords" msprop:Generator_ColumnPropNameInTable="KeywordsColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="SearchType" msprop:Generator_UserColumnName="SearchType" msprop:Generator_ColumnPropNameInRow="SearchType" msprop:Generator_ColumnVarNameInTable="columnSearchType" msprop:Generator_ColumnPropNameInTable="SearchTypeColumn" type="xs:int" minOccurs="0" />
              <xs:element name="CreateDate" msprop:Generator_UserColumnName="CreateDate" msprop:Generator_ColumnPropNameInRow="CreateDate" msprop:Generator_ColumnVarNameInTable="columnCreateDate" msprop:Generator_ColumnPropNameInTable="CreateDateColumn" type="xs:dateTime" minOccurs="0" />
              <xs:element name="CreatedBy" msprop:Generator_UserColumnName="CreatedBy" msprop:Generator_ColumnPropNameInRow="CreatedBy" msprop:Generator_ColumnVarNameInTable="columnCreatedBy" msprop:Generator_ColumnPropNameInTable="CreatedByColumn" type="xs:int" minOccurs="0" />
              <xs:element name="UpdatedBy" msprop:Generator_UserColumnName="UpdatedBy" msprop:Generator_ColumnPropNameInRow="UpdatedBy" msprop:Generator_ColumnVarNameInTable="columnUpdatedBy" msprop:Generator_ColumnPropNameInTable="UpdatedByColumn" type="xs:int" minOccurs="0" />
              <xs:element name="DeletedBy" msprop:Generator_UserColumnName="DeletedBy" msprop:Generator_ColumnPropNameInRow="DeletedBy" msprop:Generator_ColumnVarNameInTable="columnDeletedBy" msprop:Generator_ColumnPropNameInTable="DeletedByColumn" type="xs:int" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="DocumentFolder" msprop:Generator_UserTableName="DocumentFolder" msprop:Generator_RowDeletedName="DocumentFolderRowDeleted" msprop:Generator_TableClassName="DocumentFolderDataTable" msprop:Generator_RowChangedName="DocumentFolderRowChanged" msprop:Generator_RowClassName="DocumentFolderRow" msprop:Generator_RowChangingName="DocumentFolderRowChanging" msprop:Generator_RowEvArgName="DocumentFolderRowChangeEvent" msprop:Generator_RowEvHandlerName="DocumentFolderRowChangeEventHandler" msprop:Generator_TablePropName="DocumentFolder" msprop:Generator_TableVarName="tableDocumentFolder" msprop:Generator_RowDeletingName="DocumentFolderRowDeleting">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="DocumentFolderID" msdata:ReadOnly="true" msdata:AutoIncrement="true" msprop:Generator_UserColumnName="DocumentFolderID" msprop:Generator_ColumnPropNameInRow="DocumentFolderID" msprop:Generator_ColumnVarNameInTable="columnDocumentFolderID" msprop:Generator_ColumnPropNameInTable="DocumentFolderIDColumn" type="xs:int" />
              <xs:element name="ParentFolderID" msprop:Generator_UserColumnName="ParentFolderID" msprop:Generator_ColumnPropNameInRow="ParentFolderID" msprop:Generator_ColumnVarNameInTable="columnParentFolderID" msprop:Generator_ColumnPropNameInTable="ParentFolderIDColumn" type="xs:int" />
              <xs:element name="DocumentFolderName" msprop:Generator_UserColumnName="DocumentFolderName" msprop:Generator_ColumnPropNameInRow="DocumentFolderName" msprop:Generator_ColumnVarNameInTable="columnDocumentFolderName" msprop:Generator_ColumnPropNameInTable="DocumentFolderNameColumn">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CreateDate" msprop:Generator_UserColumnName="CreateDate" msprop:Generator_ColumnPropNameInRow="CreateDate" msprop:Generator_ColumnVarNameInTable="columnCreateDate" msprop:Generator_ColumnPropNameInTable="CreateDateColumn" type="xs:dateTime" minOccurs="0" />
              <xs:element name="Deleted" msprop:Generator_UserColumnName="Deleted" msprop:Generator_ColumnPropNameInRow="Deleted" msprop:Generator_ColumnVarNameInTable="columnDeleted" msprop:Generator_ColumnPropNameInTable="DeletedColumn" type="xs:boolean" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:HTMLDocument" />
      <xs:field xpath="mstns:HTMLDocumentID" />
    </xs:unique>
    <xs:unique name="DocumentFolder_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:DocumentFolder" />
      <xs:field xpath="mstns:DocumentFolderID" />
    </xs:unique>
  </xs:element>
</xs:schema>